Bug 119875 - ext3 I/O errors on /dev/hda when computer idled playing sound
ext3 I/O errors on /dev/hda when computer idled playing sound
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-02 13:28 EST by Julien Olivier
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-12 04:58:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Julien Olivier 2004-04-02 13:28:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
If I let my computer idle, just playing music (using Rhythmbox or
Totem), after a while (around 5 minutes) the music stops and the hard
drive LED starts blinking and never stops. The computer doesn't answer
to pings anymore and nothing moves on the screen...

If I switch to virtual screen #1 before letting the computer idle, I
can see, when the problem occurs, that I get a lot of I/O errors when
trying to read from /dev/hda1.

I'm not sure it's kernel-related but I assumed a bug with EXT3...

Or maybe my hard drive is simply broken...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Launch some music
2.Go for a walk (around 5 minutes)
3.Come back

Actual Results:  The hard drive LED is blinking, and the computer is
unusable (X doesn't answer, pings don't answer, sound stopped). You
have to un-plug it.

Expected Results:  It should go on working.

Additional info:

If I let the computer idle all night long without any music, the
proble doesn't occur, though I fail to see the relation with music.

I could reproduce this bug using FC1's kernel 2.4 and FC2 test2's
kernel 2.6, using ALSA and OSS. I never had this problem with Red Hat 9.
Comment 1 Julien Olivier 2004-04-08 12:36:42 EDT
Since I filed this bug report, I enabled the screensaver (I had
disabled it because I didn't want it to start when watching movies).

Now that the screensaver is enabled (starting after 5 minutes of
inactivity), I can't reproduce this bug at all.

That said, I also performed all the upgrades up2date made me aware of
(from rawhide).
Comment 2 Julien Olivier 2004-04-12 04:58:50 EDT
I've disabled the screensaver again, and everything seems to be OK. I
couldn't reproduce the bug anymore.

So I guess it has been fixed in one of the updates.

Note You need to log in before you can comment on or make changes to this bug.